<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="inca.tld" prefix="inca" %>
<%@ taglib uri="c.tld" prefix="c" %>

<html>


<head>
    <link href="css/inca.css" rel="stylesheet" type="text/css"/>
</head>

<%  String manual = request.getParameter("manualQuery");
    String defined = request.getParameter("definedQuery");
    String query;
    if (manual!= null && !manual.equals("")){
        query = manual;
    } else if (defined != null && !defined.equals("")){
        query = defined;
    } else {
        query = null;
    }
    if ( query == null || query.equals("") ){ %>

<table cellpadding="4">
    <tr><td>
        <p>Choose an HSQLDB table to view or write your own HQL.<br/>
            Please email <a href="mailto:inca@sdsc.edu">inca@sdsc.edu</a>
            with problems using this form.</p> <br/>
    </td></tr>
    <form method="post" action="hsql.jsp">
        <tr><td><p><b>Choose an HSQLDB table:</b><br/>
            <select name="definedQuery">
                <option selected value="">- Select a Table -</option>
                <option value="select ar from Arg as ar">Arg</option>
                <option value="select ag from Args as ag">Args</option>
                <option value="select si from ArgSignature as si">ArgSignature</option>
                <option value="select cr from ComparisonResult as cr">ComparisonResult</option>
                <option value="select ii from InstanceInfo as ii">InstanceInfo</option>
                <option value="select rp from Report as rp">Report</option>
                <option value="select ri from RunInfo as ri">RunInfo</option>
                <option value="select se from Series as se">Series</option>
                <option value="select sc from SeriesConfig as sc">SeriesConfig</option>
                <option value="select su from Suite as su">Suite</option>
            </select></p>
        </td></tr>
        <tr><td>
            <tr><td><p><b>Write your own HQL:</b><br/>
                (e.g. "select cr from ComparisonResult as cr")<br/>
                <input name="manualQuery" size="50"></p>
            </td></tr>
            <tr><td>
                <input type="submit" name="Submit" value="query"/>
            </td></tr>
            <input type="hidden" name="query" value=""/>
    </form>
</table>

<% } else {  %>
<inca:queryHQL query="<%=query%>"/>
<% } %>

</html>
